Page MenuHomePhabricator

install/designate other machine as esams bastion
Closed, InvalidPublic

Description

use a spare server in esams and install it as bast3003 to replace broken bast3002 (T169035) until misc esams cluster will be refreshed

per Mark's comment T169035#3565570

Details

Related Gerrit Patches:

Event Timeline

Dzahn triaged this task as High priority.Jan 15 2018, 5:07 PM
Dzahn created this task.
Dzahn renamed this task from install/designate other machines as esams bastion to install/designate other machine as esams bastion.Jan 15 2018, 5:11 PM
Dzahn updated the task description. (Show Details)
Dzahn added a comment.Jan 15 2018, 6:13 PM

godog points out that we need to copy prometheus performance data from one host to another and that we should write an updated process how to do that

Change 405223 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] rename ms-be3001.mgmt to bast3003.mgmt

https://gerrit.wikimedia.org/r/405223

Change 405224 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] assign 91.198.174.115 to bast3003

https://gerrit.wikimedia.org/r/405224

Change 405225 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add IPv6 for bast3003

https://gerrit.wikimedia.org/r/405225

Change 405226 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] add bast3003 to site and network constants

https://gerrit.wikimedia.org/r/405226

Change 405227 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] DHCP: add bast3003

https://gerrit.wikimedia.org/r/405227

Change 405229 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] bast3002->bast3003 in DHCP,network constants,smokeping

https://gerrit.wikimedia.org/r/405229

Change 405230 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] bast3002->bast3003 as prometheus node, rm from site

https://gerrit.wikimedia.org/r/405230

Change 405231 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] prometheus.svc.esams.wmnet: bast3002->bast3003

https://gerrit.wikimedia.org/r/405231

Change 405232 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] decom bast3002, keep mgmt

https://gerrit.wikimedia.org/r/405232

Mentioned in SAL (#wikimedia-operations) [2018-01-19T19:43:00Z] <mutante> ms-be3003 - power up via mgmt to check if still connected and usable as temp bastion (T184936)

Change 405223 merged by Dzahn:
[operations/dns@master] rename ms-be3003.mgmt to bast3003.mgmt

https://gerrit.wikimedia.org/r/405223

Change 405224 merged by Dzahn:
[operations/dns@master] assign 91.198.174.115 to bast3003

https://gerrit.wikimedia.org/r/405224

Change 405227 merged by Dzahn:
[operations/puppet@production] DHCP: add 24:B6:FD:F6:17:3A as bast3003

https://gerrit.wikimedia.org/r/405227

Change 405801 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] rename amslvs4 to bast3003

https://gerrit.wikimedia.org/r/405801

Change 405803 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: update MAC of bast3003

https://gerrit.wikimedia.org/r/405803

Change 405801 merged by Dzahn:
[operations/dns@master] rename amslvs4.mgmt to bast3003.mgmt

https://gerrit.wikimedia.org/r/405801

Change 405803 merged by Dzahn:
[operations/puppet@production] install_server: update MAC of bast3003

https://gerrit.wikimedia.org/r/405803

Change 405813 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: don't use http to fetch bast3003 installer

https://gerrit.wikimedia.org/r/405813

Change 405813 merged by Dzahn:
[operations/puppet@production] install_server: don't use http to fetch bast3003 installer

https://gerrit.wikimedia.org/r/405813

Dzahn changed the status of subtask T186021: reconfigure esams switch port for new bastion from Open to Stalled.Jan 30 2018, 7:45 PM
Dzahn changed the task status from Open to Stalled.Jan 31 2018, 12:12 AM

blocked on switch config (subtask) which is blocked on the info which port it was connected to

Dzahn removed Dzahn as the assignee of this task.Jun 21 2018, 12:12 PM

merged and open pending changes in gerrit: https://gerrit.wikimedia.org/r/#/q/topic:bast3003+(status:open+OR+status:merged)

temp. unassigning from me during my vacation.

mark moved this task from Backlog to Next visit on the ops-esams board.Jul 3 2018, 1:04 PM
mark lowered the priority of this task from High to Low.Jul 4 2018, 12:50 PM

ms-be3003 is still connected, and eth0 and eth1 are connected to ports 4 and 5 of csw2-oe11-esams respectively. (csw2-esams).

However, bast3002 has been fixed (drive swapped), and all this hardware will be decom'ed and replaced with new servers soon.

mark moved this task from Next visit to Backlog on the ops-esams board.Jul 4 2018, 12:51 PM

Change 405225 abandoned by Dzahn:
add IPv6 for bast3003

Reason:
bast3002 hardware has been fixed

https://gerrit.wikimedia.org/r/405225

Change 405229 abandoned by Dzahn:
bast3002->bast3003 in DHCP,network constants,smokeping

Reason:
bast3002 hardware has been fixed

https://gerrit.wikimedia.org/r/405229

Change 405230 abandoned by Dzahn:
bast3002->bast3003 as prometheus node, rm from site

Reason:
bast3002 hardware has been fixed

https://gerrit.wikimedia.org/r/405230

Change 405231 abandoned by Dzahn:
prometheus.svc.esams.wmnet: bast3002->bast3003

Reason:
bast3002 hardware has been fixed

https://gerrit.wikimedia.org/r/405231

Change 405232 abandoned by Dzahn:
decom bast3002, keep mgmt

Reason:
bast3002 hardware has been fixed

https://gerrit.wikimedia.org/r/405232

Dzahn closed this task as Invalid.Jul 24 2018, 5:59 PM

Thanks Mark :) i think we can close this as Invalid then.

Change 405226 abandoned by Dzahn:
add bast3003 to site and network constants

Reason:
bast3002 has been repaired

https://gerrit.wikimedia.org/r/405226

Change 489104 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] remove bast3003, bast3002 has been repaired

https://gerrit.wikimedia.org/r/489104

Change 489104 merged by Dzahn:
[operations/dns@master] remove bast3003 prod IP, bast3002 has been repaired

https://gerrit.wikimedia.org/r/489104